ALTER TABLE FB_LOCATION
ADD REGISTER_NR NUMBER
;

CREATE TABLE BANKNOTES (
ID NUMBER NOT NULL,
DESCRIPTION VARCHAR2(100 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(100 CHAR) NOT NULL,
AMOUNT NUMBER NOT NULL,
SORT NUMBER,
CONSTRAINT PK_BANKNOTES PRIMARY KEY(ID)
)
;

CREATE SEQUENCE BANKNOTES_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE BANKNOTES_CLOSURE (
ID_BANKNOTES_CLOSURE NUMBER NOT NULL,
ID_CLOSURE NUMBER NOT NULL,
ID_BANKNOTES NUMBER NOT NULL,
QUANTITY NUMBER NOT NULL,
AMOUNT NUMBER NOT NULL,
CONSTRAINT PK_BANKNOTES_CLOSURE PRIMARY KEY(ID_BANKNOTES_CLOSURE)
)
;

CREATE SEQUENCE BANKNOTES_CLOSURE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1897, SYSDATE, '5.5', 1817, 'Banknotes')
;
