ALTER TABLE NPRIKLJ
ADD DATA_ROUNDING VARCHAR2(10 CHAR);

ALTER TABLE QUESTIONNAIRE
ADD DOCKWALK VARCHAR2(1 CHAR);

ALTER TABLE QUESTION
ADD QUESTION_ENG VARCHAR2(1000 CHAR);

ALTER TABLE QUESTION
ADD QUESTION_SLO VARCHAR2(1000 CHAR);

ALTER TABLE QUESTION
ADD QUESTION_ITA VARCHAR2(1000 CHAR);

ALTER TABLE QUESTION
ADD QUESTION_FRA VARCHAR2(1000 CHAR);

ALTER TABLE QUESTION
ADD QUESTION_CRO VARCHAR2(1000 CHAR);

ALTER TABLE QUESTION
ADD QUESTION_DEU VARCHAR2(1000 CHAR);

ALTER TABLE QUESTION_ANSWER_CHOICE
ADD ANSWER_ENG VARCHAR2(500 CHAR);

ALTER TABLE QUESTION_ANSWER_CHOICE
ADD ANSWER_SLO VARCHAR2(500 CHAR);

ALTER TABLE QUESTION_ANSWER_CHOICE
ADD ANSWER_ITA VARCHAR2(500 CHAR);

ALTER TABLE QUESTION_ANSWER_CHOICE
ADD ANSWER_FRA VARCHAR2(500 CHAR);

ALTER TABLE QUESTION_ANSWER_CHOICE
ADD ANSWER_CRO VARCHAR2(500 CHAR);

ALTER TABLE QUESTION_ANSWER_CHOICE
ADD ANSWER_DEU VARCHAR2(500 CHAR);

DROP VIEW V_SECTION_QUESTION;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.REDIRECT_URL, SQ.DISABLE_AFTER_INSERT, SQ.PORTAL, SQ.DISABLE_EMPTY_SELECTION, SQ.SPLIT_CAPTION, SQ.CHANGE_TO_UPPERCASE,
    SQ.WIDTH, SQ.HEIGHT,
  QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, Q.TYPE AS QUESTIONNAIRE_TYPE, Q.USER_LOG AS QUESTIONNAIRE_USER_LOG, SC.NAME AS SECTION_NAME, 
  QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.QUESTION_ENG AS QUESTION_QUESTION_ENG, QU.QUESTION_SLO AS QUESTION_QUESTION_SLO, QU.QUESTION_ITA AS QUESTION_QUESTION_ITA,
  QU.QUESTION_FRA AS QUESTION_QUESTION_FRA, QU.QUESTION_CRO AS QUESTION_QUESTION_CRO, QU.QUESTION_DEU AS QUESTION_QUESTION_DEU,
  QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, 
  QU.SOURCE_TABLE_ACTIVE_COLUMN AS QUESTION_SRC_TBL_ACTIVE_COLUMN, QU.SOURCE_TABLE_ORDER_COLUMN AS QUESTION_SRC_TBL_ORDER_COLUMN, QU.SOURCE_TABLE_NAME_COLUMN AS QUESTION_SRC_TBL_NAME_COLUMN,
  QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE, QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, 
  QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE, QU.ID_QUERY_QUESTION AS QUESTION_ID_QUERY_QUESTION, QU.MAP_TABLE_NAME AS QUESTION_MAP_TABLE_NAME, QU.MAP_COLUMN_NAME AS QUESTION_MAP_COLUMN_NAME
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2170, SYSDATE, '5.5', 2090, 'Question translation')
;